#!/usr/bin/env python3
import socketio

import siogame

sio = socketio.Server()
sio.register_namespace(siogame.SioGameNamespace())

if __name__ == '__main__':
    import sys
    import eventlet
    app = socketio.WSGIApp(sio, static_files={
        '/static': './public/static',
        '/': './public/index.html',
    })

    ip = sys.argv[1] if len(sys.argv) > 1 else 'localhost'
    eventlet.wsgi.server(eventlet.listen((ip, 5000)), app)
